******************************** GENEREL INFORMATION OM SCRIPTET ********************************
*
COMMENT
COMMENT
COMMENT 
******************************** GENEREL INFORMATION OM SCRIPTET ********************************
*
 Beskrivelse:   Scriptet giver information om indhold i aktuelle filter.
*
 Forml:        Forml med scriptet er:
                - hjlpe scriptudviklere med information om aktuelle filter.
*
 Forudstning:  Der er en tabel ben
*
 Input:         Ingen.
*
 Output:        v_GetFilter - Indholdet af v_GetFilter fr man ved at skrive DISP VAR i kommandolinien.
*
*
 Applications:  Scriptet er placeret i programkataloget, og man kre scriptet ved at skrive:
                DO SCRIPT Func_v_GetTableFilterInfo
                (Get Table Filter Info)
*
 Dato:          Udviklet:  2011-06-07 Version 1.0
                Opdateret: 
*
 Version:       1.0
*
 Udviklet af:   Arbejdsgruppe: Scripts og makroer
                Kontaktperson: Erling T Petersen, W00055
*
 Copyright:     Det er tilladt at kopiere hele eller dele scriptet, hvis du sender en email til 
                erling.petersen@skat.dk. Det er gratis.
                Send venligtst en e-mail til erling.petersen@skat.dk, hvis du bruger scriptet, eller har
                forbedringsforslag. Det er rart at vide, om de script man laver, bliver brugt.
*
END


COMMENT *************************** SCRIPT START ************************************************



SET SAFETY OFF

DELETE SCRIPT e_audit_GetTableFilterInfo OK

COMMENT --- Begin --- Delete temporary log ----
DELETE w55_tmp_filter_log.log OK
COMMENT --- End --- Delete temporary log ----

COMMENT --- Begin --- Delete variables ----
DELETE v_GetFilter OK
DELETE v_GetOpenTableName OK

COMMENT --- End ----- Delete variables ----


COMMENT --- Begin --- Create Filter log ----

SET LOG to w55_tmp_filter_log
SET ECHO ON
DISP
LIST ALL FIRST 1
SET ECHO NONE
SET LOG OFF

COMMENT --- Begin --- Make temporary format ----

DIR C:\w55.* TO TMP_C_DREV
OPEN TMP_C_DREV
DEFINE FIELD TMP_LINE COMPUTED BLANKS(2000)
EXTRACT TMP_LINE FIRST 1 to TMP_FORMAT_2000
COMMENT --- End --- Make temporary format ----

OPEN w55_tmp_filter_log.log FORMAT TMP_FORMAT_2000 CRLF
LOCATE IF find('matched the filter:')

v_GetFilter=ALLTRIM(SPLIT(TMP_LINE 'matched the Filter: ' 2))

SET FILTER
COMMENT --- Begin --- Get open tabelname ----

LOCATE IF FIND('is your primary file.')
v_GetOpenTableName=ALLTRIM(REPLACE(ALLTRIM(SPLIT(ALLTRIM(SPLIT(TMP_LINE '(format ' 2)) ')' 1)) ' ' '_'))

COMMENT --- End --- Get open tabelname ----

COMMENT --- END --- Create Filter log ----

COMMENT --- Begin --- Delete temporary log ----
DELETE w55_tmp_filter_log.log OK
COMMENT --- End --- Delete temporary log ----


DELETE FORMAT TMP_C_DREV OK
DELETE TMP_C_DREV.fil OK
DELETE TMP_FORMAT_2000.fil OK
DELETE FORMAT TMP_FORMAT_2000 OK

COMMENT --- End ----- Delete temporary files and variables ----

OPEN %v_GetOpenTableName%
SET FILTER %v_GetFilter%

SET SAFETY ON
SET ECHO ON

